Dynamic Offset control

Hi there,
In a recent release of BricsCAD the following was added regarding the OFFSET command:
  • OFFSET
    • dynamics were added showing a preview of the entity being offset
    • offset distance can be specified using a dynamic dimension field
We have a CAD operator that finds this distracting.
Is there a system variable that would allow this dynamic offset feature to be turned off?
Thank you in advance for your reply.
--
Phillip
 

Comments

  • Hi,
    I also found the new "dynamic" offset mode distracting, but didn't know how to turn it off either, so I tried to make some sense of it for my needs...
    In principle, dynamic feedback is a good thing, but with the offset command, it only makes sense to me when it is put in "through point" mode with dynamic dimensions enabled (which I mostly have not). That way, you can drag the object until the distance looks right, and then enter the desired value.
    My shot at it is as follows, rename the command to your liking:
    [code](defun C:OT ( / dynmod)
     (setq dynmod (getvar "DYNMODE"))
     (if (= 2 (logand dynmod 2))
      (setvar "DYNMODE" (abs dynmod)) ;ensure dynamic dimensions are activated
      (setvar "DYNMODE" (+ (abs dynmod) 2)) ;ensure we have editable dimensions
     )
     (command "_.OFFSET" "" pause pause "") ;quit after offsetting one entity
     (setvar "DYNMODE" dynmod)
     (princ)
    )[/code]
This discussion has been closed.